<?php
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }
// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."irc_chat/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."irc_chat/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."irc_chat/locale/English.php";
}
// Infusion general information
$inf_title = $locale['IRC100'];
$inf_description = $locale['IRC101'];
$inf_version = "1.0.1";
$inf_developer = "AusiMods";
$inf_email = "support@ausimods.com";
$inf_weburl = "http://www.ausimods.com";

$inf_folder = "irc_chat"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "irc_chat_admin.php"; // The admin panel filename if required.

$inf_link_name = $locale['IRC102']; // if not required replace $locale['xxx102']; with "";
$inf_link_url = "irc_chat.php"; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 1; // Number of new db tables to create or drop.
$inf_insertdbrows = 1; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.



// Delete any items not required here.
$inf_newtable_[1] = "irc_config (
`page` VARCHAR( 50 ) NOT NULL ,
`host` VARCHAR( 200 ) NOT NULL ,
`channel` VARCHAR( 100 ) NOT NULL ,
`quit_message` VARCHAR( 200 ) NOT NULL ,
`page_title` VARCHAR( 100 ) NOT NULL ,
`headline` VARCHAR( 200 ) NOT NULL ,
`style` VARCHAR( 50 ) NOT NULL ,
`logo` VARCHAR( 200 ) NOT NULL ,
`link` VARCHAR( 200 ) NOT NULL ,
`alt` VARCHAR( 200 ) NOT NULL ,
PRIMARY KEY ( `page` )
);";

$inf_droptable_[1] = "irc_config";

$inf_insertdbrow_[1] = "irc_config ( `page` , `host` , `channel` , `quit_message` , `page_title` , `headline` , `style` , `logo` , `link` , `alt` )
VALUES ('advanced', 'serenity.ix.us.dal.net', 'phpfusion', 'PHP-FUSION6 User Leaves', 'PJIRC 4 PHP-FUSION6', 'Welcome to PJIRC 4 PHP-FUSION6', 'Default', 'pjirclogo.gif', 'http://www.pjirc.com', 'PJIRC - IRC Chat Solutions'
);";

$inf_deldbrow_[1] = "other_table";

?>
